summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2014-02-24 20:55:48 (EST)
committer P. J. McDermott <pjm@nac.net>2014-02-24 20:55:48 (EST)
commit49b64b2adef9b006656442b775e9e5004e0a43db (patch)
treebb9b32a4f82b926d04fe877439edec95dd9ca6a9
parent341aeba21c5621d2b7c837ffdadb35e47346c99b (diff)
lib/output.sh: New file.
-rw-r--r--lib/local.mk1
-rw-r--r--lib/output.sh51
2 files changed, 52 insertions, 0 deletions
diff --git a/lib/local.mk b/lib/local.mk
index e249963..487efa7 100644
--- a/lib/local.mk
+++ b/lib/local.mk
@@ -19,5 +19,6 @@
pkglib_srcs = \
lib/load.sh \
lib/common.sh \
+ lib/output.sh \
lib/buildsystem.sh \
$(lib_buildsystem_srcs)
diff --git a/lib/output.sh b/lib/output.sh
new file mode 100644
index 0000000..9459e37
--- /dev/null
+++ b/lib/output.sh
@@ -0,0 +1,51 @@
+# opkhelper
+# lib/output
+# Functions for printing messages.
+#
+# Copyright (C) 2013-2014 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+[ -n "${_OH_OUTPUT_SM}" ] && return 0
+_OH_OUTPUT_SM='true'
+
+oh_error()
+{
+ local fmt="${1}"
+ shift 1
+
+ printf "%s: Error: ${fmt}\n" "${0##*/}" "${@}" >&2
+
+ exit 1
+}
+
+oh_warn()
+{
+ local fmt="${1}"
+ shift 1
+
+ printf "%s: Warning: ${fmt}\n" "${0##*/}" "${@}" >&2
+
+ return 0
+}
+
+oh_info()
+{
+ local fmt="${1}"
+ shift 1
+
+ printf "%s: ${fmt}\n" "${0##*/}" "${@}" >&2
+
+ return 0
+}